org.apache.hadoop.yarn.api.records.impl.pb

## Class CollectorInfoPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.CollectorInfo
  - - org.apache.hadoop.yarn.api.records.impl.pb.CollectorInfoPBImpl

-     public class CollectorInfoPBImpl
      extends org.apache.hadoop.yarn.api.records.CollectorInfo

  Protocol record implementation of `CollectorInfo`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.yarn.api.records.CollectorInfo

      `DEFAULT_TIMESTAMP_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectorInfoPBImpl()`
    `CollectorInfoPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.CollectorInfoProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `String` | `getCollectorAddr()`
    `org.apache.hadoop.yarn.api.records.Token` | `getCollectorToken()`
    `org.apache.hadoop.yarn.proto.YarnProtos.CollectorInfoProto` | `getProto()`
    `int` | `hashCode()`
    `void` | `setCollectorAddr(String addr)`
    `void` | `setCollectorToken(org.apache.hadoop.yarn.api.records.Token token)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.CollectorInfo

      `newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectorInfoPBImpl

          public CollectorInfoPBImpl()

    - #### CollectorInfoPBImpl

          public CollectorInfoPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.CollectorInfoProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnProtos.CollectorInfoProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getCollectorAddr

          public String getCollectorAddr()

      Specified by:
        `getCollectorAddr` in class `org.apache.hadoop.yarn.api.records.CollectorInfo`

    - #### setCollectorAddr

          public void setCollectorAddr(String addr)

      Specified by:
        `setCollectorAddr` in class `org.apache.hadoop.yarn.api.records.CollectorInfo`

    - #### getCollectorToken

          public org.apache.hadoop.yarn.api.records.Token getCollectorToken()

      Specified by:
        `getCollectorToken` in class `org.apache.hadoop.yarn.api.records.CollectorInfo`

    - #### setCollectorToken

          public void setCollectorToken(org.apache.hadoop.yarn.api.records.Token token)

      Specified by:
        `setCollectorToken` in class `org.apache.hadoop.yarn.api.records.CollectorInfo`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.